<#assign view_content>
    <split id="${view.getCodeName()?lower_case}" v-model="split" mode="horizontal">
        <div slot='left'>
            <el-tree ref="tree" :data="wfStepModel" node-key="userTaskId" :highlight-current="true" :props="defaultProps" @node-click="handleNodeClick"></el-tree>
        </div>
        <div slot="right">
            <div class="content-container">
            <#if view.hasPSControl('searchform')>
            ${P.getCtrlCode('searchform', 'CONTROL.html').code}
            </#if>
            <#if view.hasPSControl('grid')>
            ${P.getCtrlCode('grid', 'CONTROL.html').code}
            </#if>
            </div>
        </div>
    </split>
</#assign>
<#ibizinclude>
../@MACRO/VIEW_LAYOUT_BASE.ftl
</#ibizinclude>
