<div class="view-container ${view.getViewType()?lower_case} ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <card class='view-card <#if !view.isShowCaptionBar()> view-no-caption</#if> <#if !view.hasPSControl('toolbar')> view-no-toolbar</#if>' :disHover="true" :padding="0" :bordered="false">
    <#ibizinclude>
    ../@MACRO/VIEW_CAPTION.vue.ftl
    </#ibizinclude>
    <div slot="extra">
        <div class='toolbar-container'>
            <tooltip :transfer="true" :max-width="600" v-for="(linkItem, index) in linkModel" :key="index">
                    <i-button @click="dynamic_toolbar_click(linkItem, $event)">
                        <span class='caption'>{{linkItem.sequenceFlowName}}</span>
                    </i-button>
                <div slot='content'>{{linkItem.sequenceFlowName}}</div>
            </tooltip>
        </div>
    </div>
    <div class="content-container">
<#if view.hasPSControl('form')>
<@ibizindent blank=8>
${P.getCtrlCode('form', 'CONTROL.html').code}
</@ibizindent>
</#if>
    </div>
    </card>
</div>