<#assign view_base_name>TreeView9Base</#assign>
<#ibizinclude>
../@MACRO/LAYOUTPANEL_VIEW.template.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_HEADER-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW_CONTENT-BASE.vue.ftl
</#ibizinclude>


    /**
     * 节点过滤值
     *
     * @type {string}
     * @memberof ${srfclassname('${view.name}')}
     */
    public srfnodefilter: string = '';

    /**
     * 快速搜索
     *
     * @returns {void}
     * @memberof ${srfclassname('${view.name}')}
     */
    public onSearch(): void {
        if (!this.viewState) {
            return;
        }
        <#if view.hasPSControl('tree')>
        this.viewState.next({ tag: '${view.getPSControl('tree').name}', action: 'filter', data: { srfnodefilter: this.srfnodefilter } });
        </#if>
    }
    
<#ibizinclude>
../@MACRO/VIEW_BOTTOM-BASE.vue.ftl
</#ibizinclude>

<#ibizinclude>
../@MACRO/VIEW-BASE.style.ftl
</#ibizinclude>